Subject: Re: [sipcore] Draft new version: draft-ietf-sipcore-sip-token-authnz-14 (was: Benjamin Kaduk's Discuss on draft-ietf-sipcore-sip-token-authnz-13) - the pull request

From: Christer Holmberg <[email-masked]>
Date: Mon, 4 May 2020 08:13:34 +0000

Hi,

I created a pull request based on Paul's comments:

https://github.com/rifaat-ietf/draft-ietf-sipcore-sip-token-authnz/pull/8

Regards,

Christer

On 02/05/2020, 16.47, "sipcore on behalf of Christer Holmberg" <[email-masked] on behalf of christer.holmberg=[email-masked]> wrote:

    Hi Paul,
        
    >    * In section 2.1.1 the edit to the 3rd paragraph has some mis-edits:
    >    
    >    In "the UAC uses it to to request", s/to to/to/
    >
    >    In "before the currently used access token expires token", s/expires 
    >    token/expires/
    >
    >    * In section 2.1.2 some more mis-editing: s/makes have use of/makes use of/
      
    Will fix everything above.
    
    >    * Section 2.1.2 also says "TLS can still be used for protecting traffic 
    >    between SIP endpoints and the AS." This is only true if there is a 
    >    direct TLS connection between the endpoint and the AS.  How can that be 
    >    assured?
    >    
    >    Isn't the general point that TLS can be used to secure the content if 
    >    the connection is direct between the UAC and the UAS? (But I don't know 
    >    how you can assure that other than by knowledge about the network 
    >    architecture in which the UAC is operating.
      
    Note that the traffic between the SIP endpoints and the AS uses HTTPS (perhaps that could be clarified), which uses TLS. 
      
    >    I didn't notice any other issues.
      
    Thanks for all your comments and feedback!
    
    Regards,
    
    Christer

        On 4/30/20 8:08 AM, Christer Holmberg wrote:
        > Hi,
        > 
        > Based on the IESG reviews, we have submitted a new version (-14) of draft-ietf-sipcore-sip-token-authnz.
        > 
        > We believe and hope that all issues raised in the IESG reviews have been addressed, but please take a look.
        > 
        > A big Thank You for all the comments and suggestions! :)
        > 
        > Regards,
        > 
        > Christer
        > 
        > _______________________________________________
        > sipcore mailing list
        > [email-masked]
        > https://www.ietf.org/mailman/listinfo/sipcore
        > 
        
        _______________________________________________
        sipcore mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/sipcore

    _______________________________________________
    sipcore mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/sipcore